summaryrefslogtreecommitdiff
path: root/repo/system/cacerts.xibuild
diff options
context:
space:
mode:
Diffstat (limited to 'repo/system/cacerts.xibuild')
-rw-r--r--repo/system/cacerts.xibuild11
1 files changed, 11 insertions, 0 deletions
diff --git a/repo/system/cacerts.xibuild b/repo/system/cacerts.xibuild
new file mode 100644
index 0000000..9ebe9bd
--- /dev/null
+++ b/repo/system/cacerts.xibuild
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+DEPS=(make-ca)
+
+SOURCE=https://github.com/djlucas/make-ca/releases/download/v1.7/make-ca-1.7.tar.xz
+DESC="Root certificates needed by ssl built using make-ca"
+
+package () {
+ bash make-ca -g --force -D $PKG_DEST
+ chmod -R 777 $PKG_DEST || echo "couldnt change permissions for $PKG_DEST"
+}